#ifndef __UART_TASK_H
#define __UART_TASK_H

#include "uart_interface.h"
#ifdef __cplusplus
extern "C" {
#endif
#ifdef __UART_TASK_H_GLOBAL
#define __UART_TASK_H_EXTERN
#else
#define __UART_TASK_H_EXTERN extern
#endif

/************************************************************************************************
 *                                          Version                                             *
 ************************************************************************************************/

/************************************************************************************************
 *                                          How to use                                          *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Enable config                                        *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Includes                                            *
 ************************************************************************************************/
#include "uart_interface.h"
#include <stdint.h>
/************************************************************************************************
 *                                          Defines                                              *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Typedefs                                            *
 ************************************************************************************************/
typedef struct
{
    uint8_t cmd;
    uint8_t (*p_func)(uart_type *data);
} com_protocol_type;
/************************************************************************************************
 *                                          Interfaces                                          *
 ************************************************************************************************/

void uart_task(void);

#ifdef __cplusplus
};
#endif

#endif // __UART_TASK_H
