#ifndef __I2C_H
#define __I2C_H

#include "stm32f4xx.h"

#define I2C1_SCL_PORT   GPIOB
#define I2C1_SCL_PIN    GPIO_Pin_8
#define I2C1_SCL_SOURCE GPIO_PinSource8
#define I2C1_SCL_CLK    RCC_AHB1Periph_GPIOB
#define I2C1_SDA_PORT   GPIOB
#define I2C1_SDA_PIN    GPIO_Pin_9
#define I2C1_SDA_SOURCE GPIO_PinSource9
#define I2C1_SDA_CLK    RCC_AHB1Periph_GPIOB

#define I2C1_ADDRESS 0xA0
#define I2C1_SPEED   100000U

void i2c1_init(void);

#endif // __I2C_H