#ifndef __DEV_CAN_ID_H
#define __DEV_CAN_ID_H

#ifdef __cplusplus
extern "C" {
#endif
#ifdef __DEV_CAN_ID_H_GLOBAL
#define __DEV_CAN_ID_H_EXTERN
#else
#define __DEV_CAN_ID_H_EXTERN extern
#endif

/************************************************************************************************
 *                                          Version                                              *
 ************************************************************************************************/

/************************************************************************************************
 *                                          How to use                                           *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Enable config                                         *
 ************************************************************************************************/

/************************************************************************************************
 *                                          Includes                                             *
 ************************************************************************************************/

#include "can_interface.h"
#include <stdint.h>

/************************************************************************************************
 *                                          Defines                                              *
 ************************************************************************************************/

extern uint32_t g_ps;
extern uint32_t g_can_id;
extern uint32_t g_can_ota_id;

#define CAN_IAP  0xDF
#define CAN_CALI 0xFF

uint32_t get_new_can_id(uint8_t pf);
uint32_t set_new_can_id(uint16_t pgn);
uint32_t get_ota_id(uint8_t pf);
uint8_t  can_id_set(pdu_tag rec_msg);

/************************************************************************************************
 *                                          Defines                                              *
 ************************************************************************************************/

#ifdef __cplusplus
};
#endif

#endif // __DEV_CAN_ID_H
