

// #include "esp8266.h"
// #include "esp8266_core.h"
// #include "systick.h"
// #include <cstddef>
// #include <stdint.h>
// #include <stdio.h>
// #include <string.h>
// #include <sys/signal.h>

// extern esp8266_cmd_cache g_esp8266_cache;

// /*----------------------------------------
// * @函数名: esp8266_cfg_init_do_asyn
// * @描述:
// * @入参:
// * @出参: *pArr
// * @返回值: NONE
// * @调用:
// * @被调用:
// ----------------------------------------
// * 作者     创建时间          操作
//  樊春春   2024/06/11    Create/Modify
// ----------------------------------------*/
// int32_t esp8266_cfg_init_do_asyn(void)
// {
//     static ESP8266_INIT_CMD cmd = ESP8266_INIT_CMD_START;
//     int32_t                 ret;
//     ret = esp8266_cfg_init();

//     if (ret == 0)
//     {
//         ret++;
//     }

//     if (cmd == ESP8266_INIT_CMD_START)
//     {
//         cmd = ESP8266_INIT_CMD_START;
//         return 0;
//     }
//     return 1;
// }

// /*----------------------------------------
// * @函数名: esp8266_cfg_init
// * @描述: ESP8266初始化
// * @入参:
// * @出参: *pArr
// * @返回值: NONE
// * @调用:
// * @被调用:
// ----------------------------------------
// * 作者     创建时间          操作
//  樊春春   2024/06/11    Create/Modify
// ----------------------------------------*/
// int esp8266_cfg_init(void)
// {
//     int32_t ret;

//     return 0;
// }

// /*----------------------------------------
// * @函数名: esp8266_send_data
// * @描述:
// * @入参:
// * @出参: *pArr
// * @返回值: NONE
// * @调用:
// * @被调用:
// ----------------------------------------
// * 作者     创建时间          操作
//  樊春春   2024/06/11    Create/Modify
// ----------------------------------------*/
// int esp8266_send_data(uint8_t data[], uint32_t len)
// {
//     uint8_t buf[32];
//     if (len > 2048)
//     {
//         return 1;
//     }
//     sprintf(buf, "AT+CIPSEND=1,%d\r\n", len);
//     g_esp8266_cache.is_used = 1;
//     g_esp8266_cache.cmd     = buf;
//     memcpy(g_esp8266_cache.data, data, len);
//     g_esp8266_cache.tick   = 0;
//     g_esp8266_cache.p_func = NULL;
//     return 0;
// }

// /*----------------------------------------
// * @函数名: esp8366_tx_loop
// * @描述: 异步发送AT指令
// * @入参:
// * @出参: *pArr
// * @返回值: NONE
// * @调用:
// * @被调用:
// ----------------------------------------
// * 作者     创建时间          操作
//  樊春春   2024/06/11    Create/Modify
// ----------------------------------------*/
// int esp8366_tx_loop(void)
// {
//     static uint8_t count = 0;
//     if (g_esp8266_cache.is_used == 1)
//     {
//         if (g_esp8266_cache.tick == 0)
//         {
//             g_esp8266_cache.tick = get_systick_ms();
//             count                = 0;
//         }

//         if (count == 0 || get_systick_ms() - g_esp8266_cache.tick > 3000)
//         {
//             for (uint32_t i = 0; i < countof_aysn_cmd_table(); i++)
//             {
//                 if (g_esp8266_cmd_asyn_table[i].cmd == g_esp8266_cache.cmd && g_esp8266_cmd_asyn_table[i].p_func != NULL)
//                 {
//                     g_esp8266_cmd_asyn_table[i].p_func(g_esp8266_cache.cmd, g_esp8266_cache.data, g_esp8266_cache.len);
//                 }
//             }
//             g_esp8266_cache.tick = get_systick_ms();
//             count++;
//         }
//     }

//     return 0;
// }